Bug 124612 - Wrong package name after saving as ks.cfg
Summary: Wrong package name after saving as ks.cfg
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-27 21:20 UTC by Philip Sahli
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 20:17:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Philip Sahli 2004-05-27 21:20:57 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
After creating a ks.cfg file with the system-config-kickstart gui, 
under the section "Package Selection" and then under the 
category "Desktop", the name of the "KDE Desktop Environment" will be 
written as "@ KDE Desktop Environment" instead of "@ kde-desktop" in 
this file.

When you use this file to install Fedora Core 2 with this ks.cfg an 
warning appears as follows: "You have specified that the group KDE 
Desktop Environment should be installed. This group does not exist. 
Would you like to continue or abort your installation?".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create ks.cfg with system-config-kickstart
2. Under "Package Selection"
3. Then under "Desktops"
4. Tick "KDE Desktop Environment"
5. Save file (ks.cfg)to floppy
6. Insert floppy and Fedora Core 2 CD and start PC
7. Warning appears after querying KDE Desktop Environment 

Actual Results:  A warning message appears ("You have specified that 
the group KDE Desktop Environment should be installed. This group 
does not exist. Would you like to continue or abort your 
installation?").

Expected Results:  Kickstart should accept selected package 
called "KDE Desktop Environment".

Additional info:

If you continue the installation, the group KDE Desktop Environment 
won't be installed. The same happens if you install Fedora Core 2 via 
a network connection, i.e. NFS etc.

Comment 1 Brent Fox 2004-06-17 20:17:56 UTC
Should be fixed in system-config-kickstart-2.5.11-1 as soon as I build
a new version in Rawhide.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.